ActiveVersion (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.rest

## Class ActiveVersion

- java.lang.Object
- - com.ibm.streamsx.rest.ActiveVersion

-     public class ActiveVersion
      extends java.lang.Object

  Basic class to hold the ActiveVersion JSON structure

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveVersion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArchitecture()`
    `java.lang.String` | `getBuildVersion()`
    `java.lang.String` | `getEditionName()`
    `java.lang.String` | `getFullProductVersion()`
    `java.lang.String` | `getMinimumOSBaseVersion()`
    `java.lang.String` | `getMinimumOSPatchVersion()`
    `java.lang.String` | `getMinimumOSVersion()`
    `java.lang.String` | `getProductName()`
    `java.lang.String` | `getProductVersion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveVersion

          public ActiveVersion()

  - ### Method Detail

    - #### getArchitecture

          public java.lang.String getArchitecture()

    - #### getBuildVersion

          public java.lang.String getBuildVersion()

    - #### getEditionName

          public java.lang.String getEditionName()

    - #### getFullProductVersion

          public java.lang.String getFullProductVersion()

    - #### getMinimumOSBaseVersion

          public java.lang.String getMinimumOSBaseVersion()

    - #### getMinimumOSPatchVersion

          public java.lang.String getMinimumOSPatchVersion()

    - #### getMinimumOSVersion

          public java.lang.String getMinimumOSVersion()

    - #### getProductName

          public java.lang.String getProductName()

    - #### getProductVersion

          public java.lang.String getProductVersion()